export declare class SparkleYoutube {
  el: HTMLElement;
  src: string;
  initialClassMode: boolean;
  classMode: boolean;
  video_thumbnail: string;
  componentDidLoad(): void;
  classModeChanged(): void;
  classRoomModeChanged(val: any): Promise<void>;
  render(): any;
}
